Loading...
Searching...
No Matches
GeisFrame Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices » Gesture Classes » Gesture Regions » Gesture Filter » Gesture Subscription » Gesture Frames

A collection of information describing the state of a gesture. More...

`#include <geis.h>`

## Public Member Functions

Touch Attributes

  Each touch has zero or more attributes associated with it. Differing hardware is capable of reporting differing sets of touch attributes, so there is no guarantee that any or all of the defined touch attributes will bre present.

If the touch comes from a direct device (see GEIS_DEVICE_ATTRIBUTE_DIRECT_TOUCH) its position (x and y attributes) will be in window coordinates, otherwise it will be in the input device's own coordinate system.

GeisGestureId | geis_frame_id (GeisFrame frame)
| Gets the identifier of a gesture frame.
GeisBoolean | geis_frame_is_class (GeisFrame frame, GeisGestureClass gesture_class)
| Indicates if a gesture frame belongs to a gesture class.
GeisSize | geis_frame_attr_count (GeisFrame frame)
| Gets the number of attrs associated with a gesture frame.
GeisAttr | geis_frame_attr (GeisFrame frame, GeisSize index)
| Gets an indicated attr from a gesture frame.
GeisAttr | geis_frame_attr_by_name (GeisFrame frame, GeisString name)
| Gets a named attr from a gesture frame.
GeisFloat * | geis_frame_matrix (GeisFrame frame)
| Gets the current transform matrix of a gesture.
GeisSize | geis_frame_touchid_count (GeisFrame frame)
| Gets the number of touches making up a gesture for the frame.
GeisTouchId | geis_frame_touchid (GeisFrame frame, GeisSize index)
| Gets the ID of the indicated touch within the gesture frame.

## Detailed Description

A collection of information describing the state of a gesture.

Examples
  geis2.c.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h